Bug 824052 - Review Request: fcitx-m17n - M17n Engine for Fcitx
Review Request: fcitx-m17n - M17n Engine for Fcitx
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 12:13 EDT by Liang Suilong
Modified: 2013-01-11 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:00:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-05-22 12:13:15 EDT
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-m17n.spec
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-m17n-0.1.2-1.fc16.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4094875

Description:
Fcitx-m17n is a M17n engine wrapper for Fcitx. It allows input of many languages using the input table maps from m17n-db.
Comment 1 Parag AN(पराग) 2012-05-23 12:53:08 EDT
Review:-

+ Koji build used ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4094875

+ rpmlint on rpms gave
fcitx-m17n.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-m17n-0.1.2.tar.xz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha1sum)
98ba1d134085e75c92e5303f0d3a1d132fefe8c4  fcitx-m17n-0.1.2.tar.xz
98ba1d134085e75c92e5303f0d3a1d132fefe8c4  ../SOURCES/fcitx-m17n-0.1.2.tar.xz

suggestions:
1) License tag should be LGPLv2+
2) each pushd command should have corresponding popd. please add it in %build

3) Change the fcitx package to own only /usr/share/fcitx/inputmethod/
Comment 2 Parag AN(पराग) 2012-05-23 23:46:33 EDT
4) The correct way to handle locale files is remove manually generation of %{name}.lang in spec file and use %find_lang %{name} at the end of %install section.

Please use this approach on all the fcitx packages. See https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 3 Parag AN(पराग) 2012-06-05 23:56:09 EDT
any update here?
Comment 4 Parag AN(पराग) 2012-06-29 10:17:13 EDT
any update here?
Comment 5 Parag AN(पराग) 2012-07-09 01:49:49 EDT
Can you please provide update here so that once package review completes and built in fedora, will be available for testing?
Comment 6 Parag AN(पराग) 2012-07-20 04:54:22 EDT
liangsuilong,  
   If you are busy with your work then please allow me to fix this package and request SCM for this package and build it in Fedora so that people can use this
Comment 8 Parag AN(पराग) 2012-08-06 01:31:48 EDT
APPROVED.
Comment 9 Parag AN(पराग) 2012-10-24 23:39:27 EDT
Hi Liang,
   If you are busy, can I request you to allow me to import this package and co-own with you this package?
Comment 10 Weng Xuetian 2012-10-25 20:06:15 EDT
BTW, fcitx-m17n 0.1.3 is out, if you'd like to import, please import that one.

It provides some important bugfixing and default setup adjustion, thanks!
Comment 11 Parag AN(पराग) 2012-12-10 22:15:55 EST
No response from reporter since last 4 months here.
If you still want this package in fedora then just reopen this and request for git package module.
For now closing...
Comment 12 Liang Suilong 2012-12-11 01:19:53 EST
New Package SCM Request
=======================
Package Name: fcitx-m17n
Short Description: M17n Engine for Fcitx
Owners: liangsuilong
Branches: f16 f17 f18 el6
InitialCC: i18n-team
Comment 13 Gwyn Ciesla 2012-12-11 08:12:23 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-12-13 10:12:23 EST
fcitx-m17n-0.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fcitx-m17n-0.1.3-1.fc18
Comment 15 Fedora Update System 2012-12-14 01:48:50 EST
fcitx-m17n-0.1.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 16 Fedora Update System 2013-01-11 19:00:59 EST
fcitx-m17n-0.1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.